lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Chris Hostetter <hossman_luc...@fucit.org>
Subject Re: Lucene and Java 1.5
Date Sat, 27 May 2006 18:58:02 GMT
:
: As long as gcj is not implementing the new language features in 1.5, I'm stuck
: with 1.4. If the Lucene core started using 1.5-only features, I'd have to
: create more and more patches for PyLucene to still build and stay current with
: Java Lucene.

As I understand it (based on nothing more then what google tells me for
"GCJ 1.5") some 1.5 features are already supported by GCJ, and work is in
progress to get the full list ... which makes me thing that as long as all
lucene 2.0.* releases are java1.4 compatible, it may not be the end of the
world for lucene 2.1.* releases to contain java1.5 code, if we assume that
lucene 2.1.0 probably won't happen for a while anyway if it's going to
include significant API changes.



-Hoss


---------------------------------------------------------------------
To unsubscribe, e-mail: java-dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: java-dev-help@lucene.apache.org


Mime
View raw message